Package: groovy.lang

## [Java] Class NamedValue<T>

- groovy.lang.NamedValue

- All Implemented Interfaces and Traits:
    Serializable

      @Incubating
      public class NamedValue<T>
      extends Object
      implements Serializable

  Represents a value with name

  Type Parameters:
    `T` - the value type
  Since:
    4.0.0

- - ### Constructor Summary

    Constructors
    Constructor and description
    `NamedValue(String name, T val)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public boolean` | `equals(Object o)`
    `` | `public String` | `getName()`
    `` | `public T` | `getVal()`
    `` | `public int` | `hashCode()`
    `` | `public String` | `toString()`
    `` | `public String` | `toString(Map<String, Object> options)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public NamedValue(String name, T val)

  - ### Method Detail

    - #### @Override
      public boolean equals(Object o)

    - #### public String getName()

    - #### public T getVal()

    - #### @Override
      public int hashCode()

    - #### @Override
      public String toString()

    - #### public String toString(Map<String, Object> options)